%global momorel	1

%global tarball xf86-input-wiimote

Name:           xorg-x11-drv-wiimote
Version:        0.0.1
Release:        %{momorel}m%{?dist}
Summary:        Xorg driver for the Nintendo Wii Remote

Group:          User Interface/X Hardware Support
License:        MIT
URL:		http://wearables.unisa.edu.au/mpx/?q=node/129
Source0:        http://people.freedesktop.org/~whot/wiimote/xf86-input-wiimote-%{version}.tar.bz2
NoSource:	0
Patch0:		wiimote-0.0.1-include-path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf automake libtool
BuildRequires:  libwiimote-devel
BuildRequires:  xorg-x11-server-sdk
Requires:       xorg-x11-server-Xorg

%description
Xorg driver for the Nintendo Wii Remote.

%prep
%setup -q -n %{tarball}-%{version}
%patch0 -p1 -b .include-path

%build
autoreconf -vif 
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot}%{_libdir} -name '*.la' | xargs rm -f

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc
%{_libdir}/xorg/modules/input/wiimote_drv.so
%{_mandir}/man4/wiimote.4*

%changelog
* Mon May 19 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-1m)
- Initial Commit Momonga linux
